## duplicity 0.8.11.1596

=== requirements.txt ===
##### basic requirements #####

fasteners
future
mock
python-gettext
requests
urllib3


##### testing libraries #####

coverage
paramiko
pexpect
pycodestyle
pydevd
pylint
pytest
pytest-cov
pytest-runner
sphinx
tox


##### backend libraries #####

# azure
# b2sdk
# boto
# boto3
# dropbox==6.9.0
# gdata
# jottalib
# mediafire
# pydrive
# pyrax
# python-cloudfiles
# python-swiftclient
# requests_oauthlib

=== debian/changelog ===
duplicity (0.8.11.1596-1) unstable; urgency=medium

  * new upstream version (closes: #947956)

 -- Alexander Zangerl <az@debian.org>  Tue, 25 Feb 2020 10:02:42 +1000

=== debian/control ===
Source: duplicity
Section: utils
Priority: optional
Maintainer: Alexander Zangerl <az@debian.org>
Build-Depends: debhelper (>= 10.0.0), librsync-dev (>=0.9.6), python3-all-dev, dh-python, python3-setuptools, rdiff, gnupg | gnupg1, par2, python3-lockfile, python3-mock, python3-pexpect, python3-fasteners, python3-requests, python3-urllib3, python3-coverage, python3-pycodestyle, pylint, python3-pytest, python3-pytest-runner, python3-pytest-cov, tox, python3-future, rename, rsync
Standards-Version: 4.1.3.0
Homepage: http://duplicity.nongnu.org/
X-Python3-Version: >= 3.7

Package: duplicity
Architecture: any
Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}, python3-lockfile, python3-fasteners, gnupg | gnupg1
Recommends: rsync, python3-paramiko, python3-pexpect, python3-urllib3, python3-oauthlib
Suggests: python3-boto, ncftp, lftp, tahoe-lafs, python3-swiftclient, python3-pip, par2
Description: encrypted bandwidth-efficient backup
 Duplicity backs directories by producing encrypted tar-format volumes
 and uploading them to a remote or local file server. Because duplicity
 uses librsync, the incremental archives are space efficient and only
 record the parts of files that have changed since the last backup.
 Because duplicity uses GnuPG to encrypt and/or sign these archives, they
 will be safe from spying and/or modification by the server.

## duplicity 0.8.11.1612

=== requirements.txt ===
--- 
+++ 
@@ -13,6 +13,7 @@
 coverage
 paramiko
 pexpect
+psutil
 pycodestyle
 pydevd
 pylint

=== debian/changelog ===
duplicity (0.8.11.1612-1) unstable; urgency=medium

  * nwe upstream release

 -- Alexander Zangerl <az@debian.org>  Thu, 26 Mar 2020 19:23:16 +1000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Alexander Zangerl <az@debian.org>
-Build-Depends: debhelper (>= 10.0.0), librsync-dev (>=0.9.6), python3-all-dev, dh-python, python3-setuptools, rdiff, gnupg | gnupg1, par2, python3-lockfile, python3-mock, python3-pexpect, python3-fasteners, python3-requests, python3-urllib3, python3-coverage, python3-pycodestyle, pylint, python3-pytest, python3-pytest-runner, python3-pytest-cov, tox, python3-future, rename, rsync
+Build-Depends: debhelper (>= 10.0.0), librsync-dev (>=0.9.6), python3-all-dev, dh-python, python3-setuptools, rdiff, gnupg | gnupg1, par2, python3-lockfile, python3-mock, python3-pexpect, python3-fasteners, python3-requests, python3-urllib3, python3-coverage, python3-pycodestyle, pylint, python3-pytest, python3-pytest-runner, python3-pytest-cov, tox, python3-future, rename, rsync, python3-psutil
 Standards-Version: 4.1.3.0
 Homepage: http://duplicity.nongnu.org/
 X-Python3-Version: >= 3.7

=== debian/rules ===
#!/usr/bin/make -f
PYVERS = $(shell py3versions -rv)

%:
	dh $@ --with python3 --buildsystem=pybuild

# test suite is broken.
override_dh_auto_test:
#ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
#	set -e -x;\
#	for py in $(PYVERS); do \
#  TOXPYTHON=python$$py \
#  PYTHONPATH=$(CURDIR)/build/lib.*-$$py  python$$py ./setup.py test ;\
#  done
#endif

override_dh_auto_build:
	set -ex; for py in $(PYVERS); do \
	python$$py setup.py build; \
	done

override_dh_auto_install:
	dh_auto_install
# docs in just one place, /usr/share/doc/duplicity.
	rm -r debian/duplicity/usr/share/doc/duplicity-*

override_dh_clean:
	dh_auto_clean
	dh_clean
# the test suite leaves a mess behind 
	rm -f testing/gnupg/random_seed duplicity/_librsync*.so
	rm -rf .cache .eggs testing/testfiles build

## duplicity 0.8.15

=== debian/changelog ===
duplicity (0.8.15-1) unstable; urgency=medium

  * new upstream release

 -- Alexander Zangerl <az@debian.org>  Fri, 25 Sep 2020 19:06:29 +1000

## duplicity 0.8.17

=== requirements.txt ===
--- 
+++ 
@@ -5,6 +5,8 @@
 mock
 python-gettext
 requests
+setuptools  #>=45.2.0
+setuptools_scm  # >=3.4.3
 urllib3
 
 
@@ -26,16 +28,15 @@
 
 ##### backend libraries #####
 
-# azure
+# azure-mgmt-storage
 # b2sdk
 # boto
 # boto3
-# dropbox==6.9.0
+# dropbox
 # gdata
 # jottalib
 # mediafire
 # pydrive
 # pyrax
-# python-cloudfiles
 # python-swiftclient
 # requests_oauthlib

=== debian/changelog ===
duplicity (0.8.17-1) unstable; urgency=medium

  * new upstream release

 -- Alexander Zangerl <az@debian.org>  Sat, 28 Nov 2020 14:39:12 +1000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Alexander Zangerl <az@debian.org>
-Build-Depends: debhelper (>= 10.0.0), librsync-dev (>=0.9.6), python3-all-dev, dh-python, python3-setuptools, rdiff, gnupg | gnupg1, par2, python3-lockfile, python3-mock, python3-pexpect, python3-fasteners, python3-requests, python3-urllib3, python3-coverage, python3-pycodestyle, pylint, python3-pytest, python3-pytest-runner, python3-pytest-cov, tox, python3-future, rename, rsync, python3-psutil
+Build-Depends: debhelper (>= 10.0.0), librsync-dev (>=0.9.6), python3-all-dev, dh-python, python3-setuptools, rdiff, gnupg | gnupg1, par2, python3-lockfile, python3-mock, python3-pexpect, python3-fasteners, python3-requests, python3-urllib3, python3-coverage, python3-pycodestyle, pylint, python3-pytest, python3-pytest-runner, python3-pytest-cov, tox, python3-future, rename, rsync, python3-psutil, python3-setuptools-scm
 Standards-Version: 4.1.3.0
 Homepage: http://duplicity.nongnu.org/
 X-Python3-Version: >= 3.7

## duplicity 0.8.18

=== debian/changelog ===
duplicity (0.8.18-1) unstable; urgency=medium

  * new upstream release

 -- Alexander Zangerl <az@debian.org>  Tue, 30 Mar 2021 12:32:06 +1000

## duplicity 0.8.20

=== requirements.txt ===
##### basic requirements #####

fasteners
future
python-gettext
setuptools>=44.1.1
setuptools-scm>=5.0.2


##### testing libraries #####


coverage
mock>=3.0.5
pycodestyle
pydevd                  ; python_version >= '3.6'
pylint
pytest
pytest-cov
pytest-runner           ; python_version >= '3.6'
sphinx
tox


##### backend libraries #####


azure-storage-blob      ; python_version >= '3.6'
b2sdk                   ; python_version >= '3.6'
boto
boto3
boxsdk[jwt]             ; python_version >= '3.6'
dropbox
gdata                   ; python_version == '2.7'
gdata-python3           ; python_version >= '3.6'
google-api-python-client
google-auth-oauthlib
jottalib
keyring
mediafire
megatools               ; python_version >= '3.6'
paramiko
pexpect
psutil
pydrive                 ; python_version >= '3.6'
pydrive2                ; python_version >= '3.6'
pyrax                   ; python_version >= '3.6'
python-swiftclient
requests
requests-oauthlib

=== debian/changelog ===
duplicity (0.8.20-1) unstable; urgency=medium

  * new upstream release

 -- Alexander Zangerl <az@debian.org>  Sun, 27 Jun 2021 09:25:30 +1000

## duplicity 0.8.21

=== Makefile ===
help:
	@echo	"MAKE TARGETS"
	@echo 	"help --    this text"
	@echo	"clean --   remove generated files"
	@echo 	"docs --    build Sphinx docs"
	@echo	"ext --     build C extensions"

clean:
	for i in '.tox' '_build' 'build' 'apsw' 'work' 'megatestresults' '.eggs' '*.egg-info' \
		'__pycache__' '*.pyc' '*.pyo' '*~' '*.o' '*.so' '*.pyd' '*.gcov' '*.gcda' \
		'*.gcno' '*.orig' '*.tmp' 'testdb*' 'testextension.sqlext' \
		'duplicity*.rst' 'testing*.rst'; do \
		find . -name "$$i" | xargs -t -r rm -rf ; \
	done

docs:
	sphinx-apidoc -o docs/ --separate --private . \
		apsw duplicity/backends/pyrax_identity/* setup.* testing/overrides testing/manual
	$(MAKE) -C docs html

ext:
	./setup.py build_ext

.PHONY: clean docs ext help

=== debian/changelog ===
duplicity (0.8.21-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Mar 2022 18:50:42 +0100

duplicity (0.8.21-1) unstable; urgency=medium

  * new upstream release (closes: #996577, #677215, #605878, #862005)
    debhelper compat updated, ditto standards version

 -- Alexander Zangerl <az@debian.org>  Sat, 25 Dec 2021 16:04:16 +1000

## duplicity 0.8.22

=== Makefile ===
help:
	@echo	"MAKE TARGETS"
	@echo 	"help         -- this text"
	@echo	"clean        -- remove generated files"
	@echo 	"docs         -- build Sphinx docs"
	@echo	"ext          -- build C extensions"
	@echo   "xlate-export -- update pot and make tar to export to LP translators"
	@echo   "xlate-import -- process LP tranlator's export file into duplicity"

clean:
	for i in '.tox' '_build' 'build' 'dist' 'apsw' 'work' 'megatestresults' '.eggs' '*.egg-info' \
		'__pycache__' '*.pyc' '*.pyo' '*~' '*.o' '*.so' '*.pyd' '*.gcov' '*.gcda' \
		'*.gcno' '*.orig' '*.tmp' 'testdb*' 'testextension.sqlext' \
		'duplicity*.rst' 'testing*.rst'; do \
		find . -name "$$i" | xargs -t -r rm -rf ; \
	done
	find . -name 'S.*' -type s -delete

docs:
	sphinx-apidoc -o docs/ --separate --private . \
		apsw duplicity/backends/pyrax_identity/* setup.* testing/overrides testing/manual
	$(MAKE) -C docs html

ext:
	./setup.py build_ext
	
xlate-export:
	(cd po ; ./update-pot)
	rm -rf /tmp/duplicity ~/Downloads/duplicity.tgz
	mkdir -p /tmp/duplicity/duplicity
	cp -p po/duplicity.pot /tmp/duplicity
	cp -p po/*.po /tmp/duplicity/duplicity
	(cd /tmp ; tar czf ~/Downloads/duplicity.tgz duplicity/duplicity.pot duplicity/duplicity/*.po)
	echo "Reminder: upload ~/Downloads/duplicity.tgz to https://translations.launchpad.net/duplicity"

xlate-import:
	echo "Reminder: download ~/Downloads/launchpad-export.tar.gz from https://translations.launchpad.net/duplicity"
	rm -rf /tmp/duplicity /tmp/po
	mkdir -p /tmp/duplicity/
	(cd /tmp/duplicity ; tar xzf ~/Downloads/launchpad-export.tar.gz)
	(cd /tmp/duplicity/po ; rename s/duplicity-//g *.po)
	cp /tmp/duplicity/po/* po

.PHONY: clean docs ext help xlate-export xlate-import

=== requirements.txt ===
--- 
+++ 
@@ -18,8 +18,15 @@
 pytest
 pytest-cov
 pytest-runner           ; python_version >= '3.6'
-sphinx
 tox
+
+
+##### documrntation libraries #####
+
+
+myst-parser             ; python_version >= '3.6'
+sphinx                  ; python_version >= '3.6'
+sphinx-rtd-theme        ; python_version >= '3.6'
 
 
 ##### backend libraries #####
@@ -46,5 +53,6 @@
 pydrive2                ; python_version >= '3.6'
 pyrax                   ; python_version >= '3.6'
 python-swiftclient
+python-keystoneclient
 requests
 requests-oauthlib

=== debian/changelog ===
duplicity (0.8.22-1) unstable; urgency=medium

  * new upstream release
  * requirements.txt is now shipped as part of the documentation,
    which should simplify dealing with optional modules and
    their dependencies (closes: #1007215)

 -- Alexander Zangerl <az@debian.org>  Sun, 01 May 2022 17:23:46 +1000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Alexander Zangerl <az@debian.org>
-Build-Depends: debhelper (>= 10.0.0), librsync-dev (>=0.9.6), python3-all-dev, dh-python, python3-setuptools, rdiff, gnupg | gnupg1, par2, python3-lockfile, python3-mock, python3-pexpect, python3-fasteners, python3-requests, python3-urllib3, python3-coverage, python3-pycodestyle, pylint, python3-pytest, python3-pytest-runner, python3-pytest-cov, tox, python3-future, rename, rsync, python3-psutil, python3-setuptools-scm
-Standards-Version: 4.1.3.0
+Build-Depends: debhelper (>= 12.0.0), librsync-dev (>=0.9.6), python3-all-dev, dh-python, python3-setuptools, rdiff, gnupg | gnupg1, par2, python3-lockfile, python3-mock, python3-pexpect, python3-fasteners, python3-requests, python3-urllib3, python3-coverage, python3-pycodestyle, pylint, python3-pytest, python3-pytest-runner, python3-pytest-cov, tox, python3-future, rename, rsync, python3-psutil, python3-setuptools-scm
+Standards-Version: 4.3.0.3
 Homepage: http://duplicity.nongnu.org/
 X-Python3-Version: >= 3.7

## duplicity 1.2.2

=== debian/changelog ===
duplicity (1.2.2-1ubuntu1) mantic; urgency=medium

  * Fix failure to build from source with new setuptools (LP: #2035603):
    - d/p/08-packages: test.overrides{,.bin} are specified as separate
      packages so their files are correctly included.
    - d/rules: Cherry pick missing files and remove unwanted locale ones.

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Fri, 15 Sep 2023 09:23:08 +0200

duplicity (1.2.2-1) unstable; urgency=medium

  * new upstream release (closes: #817042, #565398, #801210, #880111)
  * various bits of build infrastructure cleanup,
    with thanks to Barak A. Pearlmutter for the work! (closes: #1032965)

 -- Alexander Zangerl <az@debian.org>  Sun, 09 Apr 2023 16:26:53 +1000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,26 @@
 Source: duplicity
 Section: utils
 Priority: optional
-Maintainer: Alexander Zangerl <az@debian.org>
-Build-Depends: debhelper (>= 12.0.0), librsync-dev (>=0.9.6), python3-all-dev, dh-python, python3-setuptools, rdiff, gnupg | gnupg1, par2, python3-lockfile, python3-mock, python3-pexpect, python3-fasteners, python3-requests, python3-urllib3, python3-coverage, python3-pycodestyle, pylint, python3-pytest, python3-pytest-runner, python3-pytest-cov, tox, python3-future, rename, rsync, python3-psutil, python3-setuptools-scm
-Standards-Version: 4.3.0.3
-Homepage: http://duplicity.nongnu.org/
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alexander Zangerl <az@debian.org>
+Build-Depends: debhelper-compat (= 13),
+ python3-all-dev, dh-python, python3-setuptools,
+ gnupg | gnupg1,
+ rdiff,
+ par2,
+ tox,
+ rename,
+ rsync,librsync-dev (>=0.9.6),
+ python3-lockfile, python3-mock, python3-pexpect,
+ python3-fasteners, python3-requests, python3-urllib3,
+ python3-coverage, python3-pycodestyle, pylint,
+ python3-pytest, python3-pytest-runner,
+ python3-pytest-cov, python3-future,  python3-psutil,
+ python3-setuptools-scm
+Standards-Version: 4.6.2
+Homepage: https://duplicity.gitlab.io/
+Vcs-Git: https://salsa.debian.org/debian/duplicity.git
+Vcs-Browser: https://salsa.debian.org/debian/duplicity
 X-Python3-Version: >= 3.7
 
 Package: duplicity

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+include /usr/share/dpkg/default.mk
 PYVERS = $(shell py3versions -rv)
 
 %:
@@ -19,14 +21,18 @@
 	python$$py setup.py build; \
 	done
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 # docs in just one place, /usr/share/doc/duplicity.
-	rm -r debian/duplicity/usr/share/doc/duplicity-*
+	rm -r --verbose debian/duplicity/usr/share/doc/duplicity-*
+	(cd debian/duplicity/usr					\
+	 && mkdir -p share/doc/duplicity				\
+	 && cp --verbose						\
+		../../../duplicity/backends/README	\
+		share/doc/duplicity/README.backends)
+	cp duplicity/_librsyncmodule.c debian/duplicity//usr/lib/python3.11/dist-packages/duplicity
+	rm -rf debian/duplicity/usr/share/locale
 
-override_dh_clean:
-	dh_auto_clean
-	dh_clean
-# the test suite leaves a mess behind 
+execute_after_dh_clean:
+# the test suite leaves a mess behind
 	rm -f testing/gnupg/random_seed duplicity/_librsync*.so
-	rm -rf .cache .eggs testing/testfiles build
+	rm -rf .cache .eggs testing/testfiles build report.xml

## duplicity 2.1.4

=== Makefile ===
help:
	@echo	"MAKE TARGETS"
	@echo	"clean        -- remove generated files"
	@echo	"ext          -- build C extensions"
	@echo 	"docs         -- build Sphinx docs"
	@echo 	"help         -- this text"
	@echo   "pot          -- update duplicity.pot"
	@echo   "sdist        -- make versioned source"

genned_files=\
	'*.egg-info' \
	'*.gcda' \
	'*.gcno' \
	'*.gcov' \
	'*.o' \
	'*.orig' \
	'*.py[cdo]' \
	'*.so' \
	'*.tmp' \
	'*~' \
	'.eggs' \
	'.pytest_cache' \
	'.tox' \
	'__pycache__' \
	'_build' \
	'apsw' \
	'build' \
	'dist' \
	'duplicity*.rst' \
	'megatestresults' \
	'report.xml' \
	'testdb*' \
	'testextension.sqlext' \
	'testing*.rst' \
	'work'

clean:
	for i in ${genned_files}; do \
		find . -name "$$i" | xargs -t -r rm -rf ; \
	done
	find . -name 'S.*' -type s -delete

docs:
	sphinx-apidoc -o docs/ --separate --private . \
		apsw duplicity/backends/pyrax_identity/* setup.* testing/overrides testing/manual
ifndef READTHEDOCS
	$(MAKE) -C docs html
endif

ext:
	python3.8 ./setup.py build_ext
	python3.9 ./setup.py build_ext
	python3.10 ./setup.py build_ext
	python3.11 ./setup.py build_ext

pot:
	po/update-pot

sdist:
	./setup.py sdist --dist-dir=.

.PHONY: clean docs ext help pot sdist

=== requirements.txt ===

##### installed first to avoid conflicts #####

chardet<3.10
cryptography==3.4.8
requests
urllib3<1.26

##### basic requirements #####

fasteners
python-gettext
setuptools>=44.1.1
setuptools-scm>=5.0.2

##### backend libraries #####

atom
azure-storage-blob
b2sdk
boto3
botocore
boxsdk[jwt]
dropbox
gdata-python3
google-api-python-client
google-auth-oauthlib
httplib2
jottalib
keyring
lxml
mediafire
megatools
paramiko
pexpect
psutil
pydrive2
pyrax
python-swiftclient
python-keystoneclient
requests-oauthlib

##### testing libraries #####

black==23.7.0
coverage
mock>=3.0.5
pycodestyle
pylint
pytest
pytest-cov
pytest-runner
tox<4.0

##### documentation libraries #####

gitchangelog
myst-parser
pystache
sphinx
sphinx-rtd-theme

=== debian/changelog ===
duplicity (2.1.4-3~bpo12+1) bookworm-backports; urgency=medium

  * backport-build for bookworm

 -- Alexander Zangerl <az@debian.org>  Fri, 12 Apr 2024 11:06:08 +1000

duplicity (2.1.4-3) unstable; urgency=medium

  * switch from python3-boto (which is pending removal) to python3-boto3

 -- Alexander Zangerl <az@debian.org>  Mon, 29 Jan 2024 18:10:58 +1000

duplicity (2.1.4-2) unstable; urgency=medium

  * upstream release tarball has a version issue (closes: #1059076)

 -- Alexander Zangerl <az@debian.org>  Thu, 21 Dec 2023 07:47:58 +1000

duplicity (2.1.4-1) unstable; urgency=medium

  * new upstream release, adjusted dependencies (closes: #1058069)

 -- Alexander Zangerl <az@debian.org>  Sat, 16 Dec 2023 13:47:21 +1000

duplicity (1.2.2-2) unstable; urgency=medium

  * minor build adjustments (closes: #1052878)

 -- Alexander Zangerl <az@debian.org>  Mon, 02 Oct 2023 10:39:40 +0200

=== debian/watch ===
version=4

https://gitlab.com/@PACKAGE@/@PACKAGE@/tags \
 .*/@PACKAGE@-rel\.@ANY_VERSION@@ARCHIVE_EXT@

## duplicity 3.0.3.2

=== debian/changelog ===
duplicity (3.0.3.2-1ubuntu1) plucky; urgency=medium

  * d/p/01-debloat.patch: Remove more dependencies (Closes: #1092913)
    - python3-keyring: is not used by any backend
    - python3-requests-oauthlib: all backends that use this are set up to
      gracefully handle the missing dependency by showing an error message
      that suggests to install it.

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 13 Jan 2025 12:07:00 +0100

duplicity (3.0.3.2-1) unstable; urgency=medium

  * new upstream release (closes: #1090373)
  * some minor packaging updates

 -- Alexander Zangerl <az@debian.org>  Sun, 29 Dec 2024 20:57:50 +1000

duplicity (2.1.4-4) unstable; urgency=medium

  * updated watch file (closes: #1079706)

 -- Alexander Zangerl <az@debian.org>  Tue, 24 Sep 2024 19:20:12 +1000

## duplicity 3.0.4

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,6 @@
 	'*.o' \
 	'*.orig' \
 	'*.py[cdo]' \
-	'*.so' \
 	'*.tmp' \
 	'*~' \
 	'.eggs' \
@@ -27,11 +26,13 @@
 	'build' \
 	'dist' \
 	'duplicity*.rst' \
+	'librsync*.so' \
 	'megatestresults' \
 	'report.xml' \
 	'testdb*' \
 	'testextension.sqlext' \
 	'testing*.rst' \
+	'wheelhouse' \
 	'work'
 
 clean:
@@ -48,15 +49,12 @@
 endif
 
 ext:
-	python3.8 ./setup.py build_ext
-	python3.9 ./setup.py build_ext
-	python3.10 ./setup.py build_ext
-	python3.11 ./setup.py build_ext
+	python3 ./setup.py build_ext
 
 pot:
 	po/update-pot
 
 sdist:
-	./setup.py sdist --dist-dir=.
+	python3 ./setup.py -q sdist
 
 .PHONY: clean docs ext help pot sdist

=== requirements.txt ===

##### basic requirements #####

fasteners>=0.19
python-gettext>=5.0
setuptools

##### backend libraries #####

atom==0.10.5 ; python_version < "3.13"
atom>=0.11.0 ; python_version >= "3.13"
azure-storage-blob
b2sdk
boto3
botocore
boxsdk[jwt]
dropbox
gdata-python3
google-api-python-client
google-auth-oauthlib
httplib2
jottalib
keyring
lxml
mediafire
megatools
paramiko
pexpect
psutil
pydrive2
pyrax
python-swiftclient
python-keystoneclient
requests
requests-oauthlib

=== debian/changelog ===
duplicity (3.0.4-1build2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:18:04 +0000

duplicity (3.0.4-1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 22:02:52 +0000

duplicity (3.0.4-1) unstable; urgency=medium

  * new upstream release (closes: #1095627)
  * more dependency updates (closes: #1092913)

 -- Alexander Zangerl <az@debian.org>  Fri, 14 Feb 2025 18:17:46 +1000

=== debian/watch ===
version=4

opts="searchmode=plain" \
 https://gitlab.com/@PACKAGE@/@PACKAGE@/tags?sort=updated_desc \
 /@PACKAGE@/@PACKAGE@/-/archive/[^/]+/@PACKAGE@-rel\.@ANY_VERSION@@ARCHIVE_EXT@

## duplicity 3.0.5.1

=== requirements.txt ===
--- 
+++ 
@@ -3,12 +3,10 @@
 
 fasteners>=0.19
 python-gettext>=5.0
-setuptools
+setuptools>=78.1.0
 
 ##### backend libraries #####
 
-atom==0.10.5 ; python_version < "3.13"
-atom>=0.11.0 ; python_version >= "3.13"
 azure-storage-blob
 b2sdk
 boto3
@@ -30,6 +28,5 @@
 pydrive2
 pyrax
 python-swiftclient
-python-keystoneclient
 requests
 requests-oauthlib

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

PYTHONPATH    = ../
READTHEDOCS   = True

.EXPORT_ALL_VARIABLES:

# Put it first so that "make" without argument is like "make help".
docs:
	sphinx-apidoc -o docs/ --separate --private . \
		apsw duplicity/backends/pyrax_identity/* setup.* testing/overrides testing/manual

help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
duplicity (3.0.5.1-2) unstable; urgency=medium

  * fixed and resynced build-dependencies with upstream
    reported by Alexandre Detiste (closes: #1117779)
  * updated homepage and vcs fields.

 -- Alexander Zangerl <az@debian.org>  Sat, 11 Oct 2025 14:33:00 +1000

duplicity (3.0.5.1-1) unstable; urgency=medium

  * new upstream release (closes: #1115151)

 -- Alexander Zangerl <az@debian.org>  Fri, 10 Oct 2025 11:20:40 +1000

=== debian/control ===
Source: duplicity
Section: utils
Priority: optional
Maintainer: Alexander Zangerl <az@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-python,
 gnupg | gnupg1,
 rsync,librsync-dev (>=0.9.6),
 par2,
 pylint,
 python3-pytest, python3-pytest-runner,
 python3-pytest-cov,
 python3-all-dev,
 python3-fasteners, 
 python3-pycodestyle,
 python3-pexpect,
 python3-setuptools,
 rdiff,
 rename,
Standards-Version: 4.6.2
Homepage: https://duplicity.us/
Vcs-Git: https://github.com/az143/duplicity.git
Vcs-Browser: https://github.com/az143/duplicity
X-Python3-Version: >= 3.7

Package: duplicity
Architecture: any
Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}, python3-fasteners, gnupg | gnupg1
Recommends: rsync, python3-paramiko, python3-pexpect, python3-urllib3, python3-oauthlib
Suggests: python3-boto3, ncftp, lftp, tahoe-lafs, python3-swiftclient, python3-pip, par2
Description: encrypted bandwidth-efficient backup
 Duplicity backs directories by producing encrypted tar-format volumes
 and uploading them to a remote or local file server. Because duplicity
 uses librsync, the incremental archives are space efficient and only
 record the parts of files that have changed since the last backup.
 Because duplicity uses GnuPG to encrypt and/or sign these archives, they
 will be safe from spying and/or modification by the server.

=== debian/rules ===
--- 
+++ 
@@ -22,15 +22,8 @@
 	done
 
 execute_after_dh_auto_install:
-# docs in just one place, /usr/share/doc/duplicity.
+# docs in just one place, /usr/share/doc/duplicity, and no duplicates
 	rm -r --verbose debian/duplicity/usr/share/doc/duplicity-*
-	(cd debian/duplicity/usr					\
-	 && mkdir -p share/doc/duplicity				\
-	 && cp --verbose						\
-		../../../duplicity/backends/README	\
-		share/doc/duplicity/README.backends)
-	cp duplicity/_librsyncmodule.c debian/duplicity//usr/lib/python3.11/dist-packages/duplicity
-	rm -rf debian/duplicity/usr/share/locale
 
 execute_after_dh_clean:
 # the test suite leaves a mess behind

## duplicity 3.0.6.3

=== requirements.txt ===
--- 
+++ 
@@ -17,9 +17,10 @@
 google-api-python-client
 google-auth-oauthlib
 httplib2
+pysocks # optional httplib2 dep, needed for proxy support
 jottalib
 keyring
-lxml
+lxml<=5.4.0  # newer vers do not build on Ubuntu < 24.04
 mediafire
 megatools
 paramiko

=== debian/changelog ===
duplicity (3.0.6.3-2) unstable; urgency=high

  * pulled and reworked upstream's patch for various
    passphrase-related regressions. some of that logic is still
    exceptionally dodgy. (closes: #1124322)

 -- Alexander Zangerl <az@debian.org>  Wed, 31 Dec 2025 13:52:00 +1000

duplicity (3.0.6.3-1) unstable; urgency=medium

  * new upstream release

 -- Alexander Zangerl <az@debian.org>  Mon, 22 Dec 2025 14:42:10 +1000

duplicity (3.0.6.2-1) unstable; urgency=medium

  * thanks for various packaging patches go to Barak Pearlmutter
  * new upstream release (closes: #977546, #1120839)
  * adjusted dependencies to suggest b2sdk (closes: #1121044)

 -- Alexander Zangerl <az@debian.org>  Sat, 29 Nov 2025 14:42:18 +1000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  python3-setuptools,
  rdiff,
  rename,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://duplicity.us/
 Vcs-Git: https://github.com/az143/duplicity.git
 Vcs-Browser: https://github.com/az143/duplicity
@@ -26,8 +26,8 @@
 Package: duplicity
 Architecture: any
 Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}, python3-fasteners, gnupg | gnupg1
-Recommends: rsync, python3-paramiko, python3-pexpect, python3-urllib3, python3-oauthlib
-Suggests: python3-boto3, ncftp, lftp, tahoe-lafs, python3-swiftclient, python3-pip, par2
+Recommends: rsync, python3-paramiko, python3-pexpect, python3-urllib3, python3-oauthlib, python3-socks
+Suggests: python3-boto3, ncftp, lftp, tahoe-lafs, python3-swiftclient, python3-pip, par2, b2sdk
 Description: encrypted bandwidth-efficient backup
  Duplicity backs directories by producing encrypted tar-format volumes
  and uploading them to a remote or local file server. Because duplicity

=== debian/watch ===
version=4

# Use ([0-9][0-9.]*) instead of @ANY_VERSION@ to skip *.dev* tags,
# like 3.0.6.dev5, which confuse debian's version sorting algorithm
# because 3.0.6.dev5 > 3.0.6, and even 3.0.6.dev5 > 3.0.6.1, which is
# not upstream's intent.
#
# Note: the alternative is to rewrite: 3.0.6.dev5 to 3.0.6~dev5.

opts="searchmode=plain" \
 https://gitlab.com/@PACKAGE@/@PACKAGE@/tags?sort=updated_desc \
 /@PACKAGE@/@PACKAGE@/-/archive/[^/]+/@PACKAGE@-rel\.([0-9][0-9.]*)@ARCHIVE_EXT@
